%define section free
%define jisp_version 2.5.1

Summary:        The Java Indexed Serialization Package
Name:           jisp2
Version:        %{jisp_version}
Release:        3jpp
Epoch:          0
License:        Open Source, libpng-style
URL:            http://www.coyotegulch.com/jisp/
Group:          Development/Libraries
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        jisp-2.5.1-source.tar.gz
# jisp-3.0.0 won't work with jakarta-turbine-jcs
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  /usr/bin/make
Requires:  jpackage-utils >= 0:1.5
Provides:  hibernate_in_process_cache
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Jisp uses B-Tree and hash indexes for keyed access to variable-length 
serialized objects stored in files. 

%package demo
Summary:        Demo for %{name}
Group:          Development/Documentation

%description demo
Demo for %{name}

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n jisp-%{jisp_version}

%build
make
make jars
make docs

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p jisp.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/lib
cp jisp-demo.jar $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/lib
cp *.java $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp *.txt $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# hibernate_in_process_cache ghost symlink
ln -s %{_sysconfdir}/alternatives \
  $RPM_BUILD_ROOT%{_javadir}/hibernate_in_process_cache.jar


%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{_javadir}/hibernate_in_process_cache.jar \
  hibernate_in_process_cache %{_javadir}/%{name}.jar 30

%preun
{
  [ $1 -eq 0 ] || exit 0
  update-alternatives --remove hibernate_in_process_cache %{_javadir}/%{name}.jar
} >/dev/null 2>&1 || :

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc svfl.txt
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%ghost %{_javadir}/hibernate_in_process_cache.jar

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:2.5.1-3jpp
- Rebuild with ant-1.6.2
* Fri Jul 02 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.5.1-2jpp
- Relax jpackage-utils versioned dependency
- Provide hibernate_in_process_cache and do update-alternatives, prio 30

* Tue Jan 27 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.5.1-1jpp
- First JPackage release
